LIBRARY IEEE;
USE IEEE.std_logic_1164.ALL;

ENTITY BOARDID IS

	PORT(
      MPCIDIN	     : in std_logic_vector (5 downto 0);
	 MPCIDOUTA   	: OUT STD_LOGIC_VECTOR (11 downto 0);
	 MPCIDOUTB   	: OUT STD_LOGIC_VECTOR (11 downto 0);
	 MPCIDOUTC   	: OUT STD_LOGIC_VECTOR (11 downto 0);
	 MPCIDOUTD   	: OUT STD_LOGIC_VECTOR (11 downto 0);
	 MPCIDOUTE   	: OUT STD_LOGIC_VECTOR (11 downto 0);
	 MPCIDOUTF   	: OUT STD_LOGIC_VECTOR (11 downto 0);
	 MPCIDOUTG   	: OUT STD_LOGIC_VECTOR (11 downto 0);
	 MPCIDOUTH   	: OUT STD_LOGIC_VECTOR (11 downto 0);
	 MPCIDOUTI   	: OUT STD_LOGIC_VECTOR (11 downto 0);
	 MPCIDOUTJ   	: OUT STD_LOGIC_VECTOR (11 downto 0);
	 MPCIDOUTK   	: OUT STD_LOGIC_VECTOR (11 downto 0);
	 MPCIDOUTL   	: OUT STD_LOGIC_VECTOR (11 downto 0)	 
 );

END ENTITY BOARDID;

ARCHITECTURE ARC  OF BOARDID IS

BEGIN

MPCIDOUTA(0) <= MPCIDIN(0);
MPCIDOUTA(1) <= MPCIDIN(1);
MPCIDOUTA(2) <= MPCIDIN(2);
MPCIDOUTA(3) <= MPCIDIN(3);
MPCIDOUTA(4) <= MPCIDIN(4);
MPCIDOUTA(5) <= MPCIDIN(5);
MPCIDOUTA(6) <= '1';
MPCIDOUTA(7) <= '0';
MPCIDOUTA(8) <= '0'; 
MPCIDOUTA(9) <= '0';
MPCIDOUTA(10) <= '0';
MPCIDOUTA(11) <= '0'; 

MPCIDOUTB(0) <= MPCIDIN(0);
MPCIDOUTB(1) <= MPCIDIN(1);
MPCIDOUTB(2) <= MPCIDIN(2);
MPCIDOUTB(3) <= MPCIDIN(3);
MPCIDOUTB(4) <= MPCIDIN(4);
MPCIDOUTB(5) <= MPCIDIN(5);
MPCIDOUTB(6) <= '0';
MPCIDOUTB(7) <= '1';
MPCIDOUTB(8) <= '0'; 
MPCIDOUTB(9) <= '0';
MPCIDOUTB(10) <= '0';
MPCIDOUTB(11) <= '0'; 

MPCIDOUTC(0) <= MPCIDIN(0);
MPCIDOUTC(1) <= MPCIDIN(1);
MPCIDOUTC(2) <= MPCIDIN(2);
MPCIDOUTC(3) <= MPCIDIN(3);
MPCIDOUTC(4) <= MPCIDIN(4);
MPCIDOUTC(5) <= MPCIDIN(5);
MPCIDOUTC(6) <= '1';
MPCIDOUTC(7) <= '1';
MPCIDOUTC(8) <= '0'; 
MPCIDOUTC(9) <= '0';
MPCIDOUTC(10) <= '0';
MPCIDOUTC(11) <= '0'; 

MPCIDOUTD(0) <= MPCIDIN(0);
MPCIDOUTD(1) <= MPCIDIN(1);
MPCIDOUTD(2) <= MPCIDIN(2);
MPCIDOUTD(3) <= MPCIDIN(3);
MPCIDOUTD(4) <= MPCIDIN(4);
MPCIDOUTD(5) <= MPCIDIN(5);
MPCIDOUTD(6) <= '0';
MPCIDOUTD(7) <= '0';
MPCIDOUTD(8) <= '1'; 
MPCIDOUTD(9) <= '0';
MPCIDOUTD(10) <= '0';
MPCIDOUTD(11) <= '0'; 

MPCIDOUTE(0) <= MPCIDIN(0);
MPCIDOUTE(1) <= MPCIDIN(1);
MPCIDOUTE(2) <= MPCIDIN(2);
MPCIDOUTE(3) <= MPCIDIN(3);
MPCIDOUTE(4) <= MPCIDIN(4);
MPCIDOUTE(5) <= MPCIDIN(5);
MPCIDOUTE(6) <= '1';
MPCIDOUTE(7) <= '0';
MPCIDOUTE(8) <= '1'; 
MPCIDOUTE(9) <= '0';
MPCIDOUTE(10) <= '0';
MPCIDOUTE(11) <= '0'; 

MPCIDOUTF(0) <= MPCIDIN(0);
MPCIDOUTF(1) <= MPCIDIN(1);
MPCIDOUTF(2) <= MPCIDIN(2);
MPCIDOUTF(3) <= MPCIDIN(3);
MPCIDOUTF(4) <= MPCIDIN(4);
MPCIDOUTF(5) <= MPCIDIN(5);
MPCIDOUTF(6) <= '0';
MPCIDOUTF(7) <= '1';
MPCIDOUTF(8) <= '1';
MPCIDOUTF(9) <= '0';
MPCIDOUTF(10) <= '0';
MPCIDOUTF(11) <= '0';

MPCIDOUTG(0) <= MPCIDIN(0);
MPCIDOUTG(1) <= MPCIDIN(1);
MPCIDOUTG(2) <= MPCIDIN(2);
MPCIDOUTG(3) <= MPCIDIN(3);
MPCIDOUTG(4) <= MPCIDIN(4);
MPCIDOUTG(5) <= MPCIDIN(5);
MPCIDOUTG(6) <= '1';
MPCIDOUTG(7) <= '1';
MPCIDOUTG(8) <= '1';
MPCIDOUTG(9) <= '0';
MPCIDOUTG(10) <= '0';
MPCIDOUTG(11) <= '0';

MPCIDOUTH(0) <= MPCIDIN(0);
MPCIDOUTH(1) <= MPCIDIN(1);
MPCIDOUTH(2) <= MPCIDIN(2);
MPCIDOUTH(3) <= MPCIDIN(3);
MPCIDOUTH(4) <= MPCIDIN(4);
MPCIDOUTH(5) <= MPCIDIN(5);
MPCIDOUTH(6) <= '0';
MPCIDOUTH(7) <= '0';
MPCIDOUTH(8) <= '0';
MPCIDOUTH(9) <= '1';
MPCIDOUTH(10) <= '0';
MPCIDOUTH(11) <= '0';

MPCIDOUTI(0) <= MPCIDIN(0);
MPCIDOUTI(1) <= MPCIDIN(1);
MPCIDOUTI(2) <= MPCIDIN(2);
MPCIDOUTI(3) <= MPCIDIN(3);
MPCIDOUTI(4) <= MPCIDIN(4);
MPCIDOUTI(5) <= MPCIDIN(5);
MPCIDOUTI(6) <= '1';
MPCIDOUTI(7) <= '0';
MPCIDOUTI(8) <= '0';
MPCIDOUTI(9) <= '1';
MPCIDOUTI(10) <= '0';
MPCIDOUTI(11) <= '0';

MPCIDOUTJ(0) <= MPCIDIN(0);
MPCIDOUTJ(1) <= MPCIDIN(1);
MPCIDOUTJ(2) <= MPCIDIN(2);
MPCIDOUTJ(3) <= MPCIDIN(3);
MPCIDOUTJ(4) <= MPCIDIN(4);
MPCIDOUTJ(5) <= MPCIDIN(5);
MPCIDOUTJ(6) <= '0';
MPCIDOUTJ(7) <= '1';
MPCIDOUTJ(8) <= '0';
MPCIDOUTJ(9) <= '1';
MPCIDOUTJ(10) <= '0';
MPCIDOUTJ(11) <= '0';

MPCIDOUTK(0) <= MPCIDIN(0);
MPCIDOUTK(1) <= MPCIDIN(1);
MPCIDOUTK(2) <= MPCIDIN(2);
MPCIDOUTK(3) <= MPCIDIN(3);
MPCIDOUTK(4) <= MPCIDIN(4);
MPCIDOUTK(5) <= MPCIDIN(5);
MPCIDOUTK(6) <= '1';
MPCIDOUTK(7) <= '1';
MPCIDOUTK(8) <= '0';
MPCIDOUTK(9) <= '1';
MPCIDOUTK(10) <= '0';
MPCIDOUTK(11) <= '0';

MPCIDOUTL(0) <= MPCIDIN(0);
MPCIDOUTL(1) <= MPCIDIN(1);
MPCIDOUTL(2) <= MPCIDIN(2);
MPCIDOUTL(3) <= MPCIDIN(3);
MPCIDOUTL(4) <= MPCIDIN(4);
MPCIDOUTL(5) <= MPCIDIN(5);
MPCIDOUTL(6) <= '0';
MPCIDOUTL(7) <= '0';
MPCIDOUTL(8) <= '1';
MPCIDOUTL(9) <= '1';
MPCIDOUTL(10) <= '0';
MPCIDOUTL(11) <= '0';

END ARC;
